Page MenuHomeDevCentral

D2256.id5667.diff
No OneTemporary

D2256.id5667.diff

diff --git a/files/usr/local/sbin/init-container b/files/usr/local/sbin/init-container
--- a/files/usr/local/sbin/init-container
+++ b/files/usr/local/sbin/init-container
@@ -1,5 +1,16 @@
#!/bin/sh
+if [ -Z "APP_KEY" ]; then
+ echo "You must set APP_KEY environment variable when running this container."
+ echo
+ echo "This key would be dangerous to set automatically as you need it to stay"
+ echo "the same in production to avoid loss of encrypted and hashed data."
+ echo
+ echo "You can do so adding this argument to your container run command:"
+ echo "-e \"APP_KEY=$(openssl rand -base64 36)\""
+ exit 1
+fi
+
if [ ! -f .initialized ]; then
# Container is initialized according the environment variables
# passed to the container to setup the application.

File Metadata

Mime Type
text/plain
Expires
Wed, Nov 27, 09:56 (20 h, 14 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
2266677
Default Alt Text
D2256.id5667.diff (772 B)

Event Timeline